## mintupdate 4.4.7

=== debian/changelog ===
mintupdate (4.4.7) nadia; urgency=low

  * Fixed: mintUpdate failing to restart when updating itself in KDE

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Dec 2012 11:30:25 +0000

mintupdate (4.4.6) nadia; urgency=low

  * UI fix: info dialog centered instead of always-centered
  * Check_warnings: Use apt_pkg instead of apt (more reliable)
  * Changelog retrieval: doesn't need deb-src lines in apt sources anymore and fixed for most packages

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 17 Dec 2012 16:09:21 +0000

mintupdate (4.4.5) nadia; urgency=low

  * Check cache changes after all packages modifications are marked

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 17 Dec 2012 09:58:48 +0000

mintupdate (4.4.4) nadia; urgency=low

  * Added Nadia to the list of templates

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 09 Oct 2012 11:20:10 +0100

mintupdate (4.4.3) maya; urgency=low

  * Updated rules

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 25 Sep 2012 13:20:28 +0100

mintupdate (4.4.2) maya; urgency=low

  * Updated rules

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 25 Jul 2012 18:02:54 +0100

mintupdate (4.4.1) maya; urgency=low

  * Use kdesudo in KDE

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Jun 2012 14:37:43 +0100

mintupdate (4.4.0) maya; urgency=low

  * Use casper/live instead of ubiquity/live-installer to detect live session

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 Jun 2012 11:03:10 +0100

mintupdate (4.3.9) maya; urgency=low

  * Maya

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 May 2012 13:28:45 +0100

mintupdate (4.3.8) lisa; urgency=low

  * Removed onlyShowIn clause in XDG autostart

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Feb 2012 18:19:25 +0000

mintupdate (4.3.7) lisa; urgency=low

  * Fixed context menu position

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 18 Jan 2012 20:17:22 +0000

mintupdate (4.3.6) lisa; urgency=low

  * Updated rules file with mate packages

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 11 Nov 2011 10:55:15 +0000

mintupdate (4.3.5) lisa; urgency=low

  * Updated rules file with mgse packages
  * Moved LinuxMint.mirrors to mint-mirrors package

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  28 Oct 2011 09:29:00 +0000

mintupdate (4.3.4) lisa; urgency=low

  * Updated Linux Mint template for Lisa

 -- Clement Lefebvre <root@linuxmint.com>  Sat,  15 Oct 2011 11:41:00 +0000

mintupdate (4.3.3) katya; urgency=low

  * Added compatibility for "kept back" updates (solves cases where user sees a "fix broken packages" message). 

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  30 Aug 2011 11:18:00 +0000

mintupdate (4.3.2) katya; urgency=low

  * Bug fix, replace non-ascii-encodable unicode characters with XML codes

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  3 Jun 2011 13:07:00 +0000

mintupdate (4.3.1) katya; urgency=low

  * New mirrors in South Africa and China

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  25 May 2011 13:03:00 +0000

mintupdate (4.3.0) katya; urgency=low

  * Updated Linux Mint template for Katya

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  28 Apr 2011 17:01:00 +0000

mintupdate (4.2.9) katya; urgency=low

  * Compatible with Ubuntu 11.04 (in which libc.so.6 was moved)

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  12 Apr 2011 09:40:00 +0000

mintupdate (4.2.8) katya; urgency=low

  * New Greek mirror

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  4 Apr 2011 15:47:00 +0000

mintupdate (4.2.7) katya; urgency=low

  * New Canadian mirror
  * MintUpdate restarts after upgrading itself

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  4 Apr 2011 15:10:00 +0000

mintupdate (4.2.6) katya; urgency=low
  
  * mintUpdate now only list upgrades, not dependencies
  * packages to be installed or removed to satisfy dependencies are listed in a dialog which pops up to warn the user

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  27 Mar 2011 19:47:00 +0000

mintupdate (4.2.5) katya; urgency=low
  
  * Small cosmetic bug fix on /tmp/mintUpdate chmod call

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  25 Mar 2011 15:53:00 +0000

mintupdate (4.2.4) katya; urgency=low
  
  * Modal synaptic dialogs
  * Synaptic dialog closes itself automatically after a successful upgrade
  * Cleaned up warning due to windows sockets
  * Cleaned up child (root) update manager killing parent (user) application, relying on killall instead.

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  25 Mar 2011 15:40:00 +0000

mintupdate (4.2.3) katya; urgency=low

  * Mint 11 changes:
  * Removed warning and extra info tabs
  * Asynchronous changelog retrieval
  * Cleaned up upstream changelog retrieval
  * Migrated from wget to urllib2 for changelog retrieval
  * Only show mintupdate update when available to make sure rules are updated first
  * Removed proxy settings (delegated to APT/Desktop)
  * Fixed "broken packages" bug occuring when some packages need to be removed
  * In history of updates, dates now follow the format YYY.MM.DD
  * Fixed permission bug on /tmp/mintUpdate log folder

 -- Clement Lefebvre <root@linuxmint.com>  Wed,  23 Mar 2011 13:23:00 +0000

mintupdate (4.2.2) julia; urgency=low

  * Added Czech mirror

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  10 Mar 2011 09:54:00 +0000

mintupdate (4.2.1) julia; urgency=low

  * New mirror in The Netherlands
  * Removed inactive US mirror

 -- Clement Lefebvre <root@linuxmint.com>  Tue,  8 Feb 2011 12:14:00 +0000

mintupdate (4.2.0) julia; urgency=low

  * Changed level descriptions

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  16 Dec 2010 10:47:00 +0000

mintupdate (4.1.9) julia; urgency=low

  * Added Brazilian mirror

 -- Clement Lefebvre <root@linuxmint.com>  Thu,  2 Dec 2010 10:38:00 +0000

mintupdate (4.1.8) julia; urgency=low

  * Added South African mirror

 -- Clement Lefebvre <root@linuxmint.com>  Mon,  22 Nov 2010 21:32:00 +0000

mintupdate (4.1.7) julia; urgency=low

  * Closes properly when requested


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mintupdate.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/mintupdate
	mkdir -p $(CURDIR)/debian/mintupdate
	cp -r $(CURDIR)/usr $(CURDIR)/debian/mintupdate/
	cp -r $(CURDIR)/etc $(CURDIR)/debian/mintupdate/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mintupdate 7.1.0

=== Makefile ===
all: buildmo

buildmo:
	@echo "Building the mo files"
	# WARNING: the second sed below will only works correctly with the languages that don't contain "-"
	for file in `ls po/*.po`; do \
		lang=`echo $$file | sed 's@po/@@' | sed 's/.po//' | sed 's/mintupdate-//'`; \
		install -d usr/share/locale/$$lang/LC_MESSAGES/; \
		msgfmt -o usr/share/locale/$$lang/LC_MESSAGES/mintupdate.mo $$file; \
	done \

clean:
	rm -rf usr/share/locale

## mintupdate 4.5.6-1

=== debian/changelog ===
mintupdate (4.5.6-1) petra; urgency=medium

  * Security update: prevent a privilege escalation

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Jun 2014 13:04:37 +0100

mintupdate (4.5.6) petra; urgency=low

  * Updated rules

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 30 Nov 2013 02:08:01 +0000

mintupdate (4.5.5) petra; urgency=low

  * Fixed xdg desktop file

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Nov 2013 16:54:57 +0000

mintupdate (4.5.4) petra; urgency=low

  * Fix desktop file

 -- Frédéric Gaudet <fred@linuxmint.com>  Fri, 08 Nov 2013 10:10:48 +0100

mintupdate (4.5.3) petra; urgency=low

  * Autostart delay
  * Only use ping_domain to check connection

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 07 Nov 2013 15:02:29 +0000

mintupdate (4.5.2) olivia; urgency=low

  * 4.5.2

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 May 2013 15:20:36 +0100

mintupdate (4.5.1) olivia; urgency=low

  * 4.5.1

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 May 2013 13:29:40 +0100

mintupdate (4.5.0) olivia; urgency=low

  * Ability to update APT cache in user mode

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 08 Apr 2013 11:43:38 +0100

mintupdate (4.4.9) olivia; urgency=low

  * Fixed indentation
  * Also check for name:arch in the selected packages

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 08 Apr 2013 11:30:58 +0100

mintupdate (4.4.8) olivia; urgency=low

  * Added Olivia to python-apt template

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Mar 2013 10:59:07 +0000

=== debian/control ===
Source: mintupdate
Section: admin
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: mintupdate
Architecture: all
Depends: python (>= 2.4), python (<< 3), python-gtk2, python-glade2, synaptic, mint-common, mint-mirrors
Conflicts: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
Replaces: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
Description: Update Manager
 Helps installing security updates and new versions of packages.

## mintupdate 4.9.3+p20201123+git20201207.1952

=== debian/changelog ===
mintupdate (4.9.3+p20201123+git20201207.1952-0) 2101+amd64; urgency=medium

  * Automatic Debian CI Build

 -- Debian CI <null@debian.org>  Mon, 07 Dec 2020 19:52:13 +0000

mintupdate (4.9.3) testing; urgency=medium

  * Testbuild for Debian

 -- root <root@neptuneDesktop.fritz.box>  Wed, 07 Oct 2015 14:31:40 +0000

mintupdate (4.9.3) rafaela; urgency=medium

  * Desktop file: Removed generic name, used icon name, added to Xfce Settings, removed category duplication in KDE

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jul 2015 10:34:03 +0200

mintupdate (4.9.2) rafaela; urgency=medium

  * Consider isolated updates to mint-upgrade-info as update-manager updates.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Jul 2015 13:41:54 +0200

mintupdate (4.9.1) rafaela; urgency=medium

  * Consider mint-upgrade-info an update-manager update

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Jul 2015 13:19:44 +0200

mintupdate (4.9.0) rafaela; urgency=medium

  * Upgrade tool: Don't force users to read rel_notes and new features

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 27 Jun 2015 13:31:55 +0200

mintupdate (4.8.9) rafaela; urgency=medium

  * Depend on mint-kernel-info/mint-upgrade-info (even though they're not used in LMDE, they're harmless and this simplifies maintenance)
  * Don't show help in the menu when it isn't installed

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 27 Jun 2015 12:28:26 +0200

mintupdate (4.8.8) rafaela; urgency=medium

  * Fixed security updates for visible levels not being selected when set to safe but not visible
  * Don't show security updates for non-visible levels by default (Level 4 or 5 updates should not be recommended to novice users. If a particular update is both a very important security fix and affects a sensitive component we can move its particular version to lower levels to recommend it to novice users).

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Jun 2015 17:59:09 +0200

mintupdate (4.8.7) rafaela; urgency=medium

  * Only show the up-to-date screen when there are no visible updates

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Jun 2015 18:51:14 +0200

mintupdate (4.8.6) rafaela; urgency=medium

  [ monsta ]
  * build-dep on dh-python

  [ Clement Lefebvre ]
  * Replaced happy face icon with tick icon

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Jun 2015 10:08:15 +0200

mintupdate (4.8.5) rafaela; urgency=medium

  [ Monsta ]
  * Proper threads_enter/threads_leave pairing

  [ Clement Lefebvre ]
  * Changed package description
  * Use aliases for known source packages and l10n Mint packages descriptions
  * List real name when alias is different than source package name
  * Made hiding the update manager after applying updates configurable (and disabled by default)
  * When up-to-date show an icon and up-to-date screen rather than an empty list of updates. When finding an error, show an error icon and details in the main region of the window rather than near the statusbar.
  * Added an option to only show system tray in case of updates or errors
  * When hiding tray icon, don't consider APT locks to be important

  [ Lester Carballo Pérez ]
  * Don't use get_child().set_text

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 09 Jun 2015 11:57:23 +0200

mintupdate (4.8.4) betsy; urgency=medium

  [ monsta ]
  * Don't crash with glib >= 2.41

  [ Marshall Banana ]
  * override harmless image-file-in-usr-lib warnings
  * mention license of proxygsettings.py
  * fix libglade warnings
  * edit shebang in checkAPT.py
  * change shebang lines to "#!/usr/bin/python2.7"
  * let dh_python2 look in /usr/lib/linuxmint/mintUpdate
  * python versions will be handled by dh_python2

  [ Clement Lefebvre ]
  * Moved kernel info and upgrade info to separate packages
  * Ignore revision number when identifying kernel versions

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 May 2015 17:15:43 +0200

mintupdate (4.8.3) betsy; urgency=medium

  * Changelog retriever: Added support for Debian

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 23 Mar 2015 11:55:45 +0100

mintupdate (4.8.2) betsy; urgency=medium

  * Added support for Debian security updates
  * Kernel screen: Added support for Linux 4.x kernels
  * Only support kernel selection in Linux Mint (LMDE is using Debian's meta)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Feb 2015 13:06:59 +0100

mintupdate (4.8.1) rebecca; urgency=medium

  * Enabled 17->17.1 upgrade path for KDE and Xfce editions

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 10 Jan 2015 18:04:33 +0100

mintupdate (4.8.0) rebecca; urgency=medium

  * Escape & signs in short descriptions before using them in Pango markups.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 09 Jan 2015 12:06:02 +0100

mintupdate (4.7.9) rebecca; urgency=medium

  * Non-security updates sometimes shown when they should be hidden

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Dec 2014 13:08:19 +0100

mintupdate (4.7.8) rebecca; urgency=medium

  * Check edition before showing upgrade menu

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 07 Dec 2014 11:23:30 +0100

mintupdate (4.7.7) rebecca; urgency=medium

  * Don't force Mint originated updates to level 1, submit them to rules as well.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Dec 2014 11:49:14 +0100

mintupdate (4.7.6) rebecca; urgency=medium

  * Upgrade tool: Don't rely on LSB, check LM info instead
  * Upgrade tool: Disable the screensaver during the upgrade

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 03 Dec 2014 15:09:23 +0100

mintupdate (4.7.5) rebecca; urgency=medium

  * Added upgrade path for: 17 "Qiana" --> 17.1 "Rebecca"

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 03 Dec 2014 11:15:16 +0100

mintupdate (4.7.4) rebecca; urgency=medium

  * Fixed regression (safe levels not checked by default)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Nov 2014 16:51:29 +0100

mintupdate (4.7.3) rebecca; urgency=medium



=== debian/control ===
Source: mintupdate
Section: admin
Priority: optional
Maintainer: Leszek Lesner <leszek@zevenos.com>
Build-Depends: debhelper (>= 9), dh-python, python (>= 2.7~)
Standards-Version: 3.9.5
Vcs-Git: https://github.com/dci-extras-packaging/mintupdate
Vcs-Browser: https://github.com/dci-extras-packaging/mintupdate

Package: mintupdate
Architecture: any
Depends: mint-common,
         python-apt,
         python-configobj,
         python-glade2,
         python-gtk2,
         synaptic,
         ${misc:Depends},
         ${python:Depends}
Conflicts: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
Replaces: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
Description: Update Manager
 Helps installing security updates and new versions of packages.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --with python2

override_dh_python2:
	dh_python2 /usr/lib/linuxmint/mintUpdate

build:
	for file in `ls po/mintupdate/*.po`; do \
		lang=`echo $$file | sed 's/\.po$$//' | sed 's/.*\-//'`; \
		install -d usr/share/linuxmint/locale/$$lang/LC_MESSAGES/; \
		msgfmt -o usr/share/linuxmint/locale/$$lang/LC_MESSAGES/mintupdate.mo $$file; \
	done \

## mintupdate 4.9.9.3

=== debian/changelog ===
mintupdate (4.9.9.3) rosa; urgency=medium

  * Depend on the new dpkg

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Feb 2021 15:56:59 +0000

mintupdate (4.9.9.2) rosa; urgency=medium

  * Backport support for kernel updates (via linux-kernel-generic)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Jan 2018 10:18:29 +0000

mintupdate (4.9.9.1) rosa; urgency=medium

  * Detect TSUNAMI and warn the user!

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Feb 2016 21:01:02 +0000

mintupdate (4.9.9) rosa; urgency=medium

  * Upgrade tool: Add support for blacklists
  * Elevated levels for some of the hardware support pkgs shipping with Linux Mint (they're important for a new release but not suggested during/after an upgrade, some of them like Virtualbox are even dangerous due to stack differences)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Dec 2015 16:09:19 +0000

mintupdate (4.9.8) rosa; urgency=medium

  * Fixed show APT error in case of mergelist issues (was hidden by policy check)
  * Only perform up2date checks when refresh is done from UI.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Nov 2015 14:51:09 +0000

mintupdate (4.9.7) rosa; urgency=medium

  * Use default paths for custom icons which do not exist

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Nov 2015 13:50:19 +0000

mintupdate (4.9.6) rosa; urgency=medium

  * Check APT policy to prevent OS corruption

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 15 Nov 2015 15:22:24 +0000

mintupdate (4.9.5) rosa; urgency=medium

  * Fixed recent regression
  * Fixed crash when refreshing in root mode while hidden (window is not realized yet, so window.window isn't available)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 Nov 2015 13:59:15 +0000

mintupdate (4.9.4) rafaela; urgency=medium

  [ Clement Lefebvre ]
  * Don't let mintupdate crash when ~/.config/linuxmint/mintUpdate.conf is corrupted
  * Within an update, use the description from what looks like the most relevant package rather than just the last one in the list
  * Kernel window: Fixed columns sorting
  * Use os.path.expanduser() instead of user.home
  * Properly parse Linux Mint changelogs
  * Added an infobar to warn against using the default repository or a repository which is not up to date
  * Add an option to dismiss warnings about the default mirror (some users might want to stick to packages.linuxmint.com)
  * Use two distinct configurable delays, one to refresh the cache after launch, and one to refresh frequently after that.
  * Updated pot file
  * Updated desktop files

  [ Eduard Dopler ]
  * Fix gettext substitution

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Nov 2015 15:57:00 +0000

mintupdate (4.9.3.2) rafaela; urgency=medium

  * Desktop file: Removed generic name, used icon name, added to Xfce Settings, removed category duplication in KDE

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jul 2015 10:34:03 +0200

=== debian/control ===
Source: mintupdate
Section: admin
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               python (>= 2.7~),
               dh-python
Standards-Version: 3.9.5

Package: mintupdate
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 lsb-release,
 inxi,
 python-gtk2,
 python-glade2,
 python-configobj,
 python-apt,
 synaptic,
 mint-common,
 mint-mirrors,
 mint-upgrade-info,
 mint-kernel-info,
 dpkg (>= 1.17.5ubuntu5.8)
Conflicts: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
Replaces: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
Description: The Linux Mint Update Manager
 Helps installing security updates and new versions of packages.

## mintupdate 5.1.0.6

=== debian/changelog ===
mintupdate (5.1.0.6) sarah; urgency=medium

  * Depend on linux-base (>= 4.1)
  * Fix kernel updates for 4.15+ series

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 09 May 2018 11:12:13 +0100

mintupdate (5.1.0.5) sarah; urgency=medium

  * Packaging: Break virtualbox-guest pkgs

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Mar 2018 00:20:37 +0200

mintupdate (5.1.0.4) sarah; urgency=medium

  * rel_upgrade: Update grub

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Dec 2016 10:52:05 +0000

mintupdate (5.1.0.3) sarah; urgency=medium

  * rel_upgrade: Fix typo

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 18 Dec 2016 11:59:33 +0000

mintupdate (5.1.0.2) sarah; urgency=medium

  * rel_upgrade: Enable backport component

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 18 Dec 2016 11:25:28 +0000

mintupdate (5.1.0.1) sarah; urgency=medium

  * rel_upgrade: Switch from dict() to configparser
  * rel_upgrade: Fix regressions caused by GTK3 migration

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 18 Dec 2016 11:06:01 +0000

mintupdate (5.1.0) sarah; urgency=medium

  * [tomoe-musashi] Fixed typo
  * Use appindicator in KDE
  * makepot

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 15 Aug 2016 16:17:10 +0200

mintupdate (5.0.9) sarah; urgency=medium

  * Fixes in preferences UI

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jun 2016 11:34:02 +0100

mintupdate (5.0.8) sarah; urgency=medium

  * Policy screen: Updated layout

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 02 Jun 2016 14:16:03 +0100

mintupdate (5.0.7) sarah; urgency=medium

  [ JosephMcc ]
  * Redo the level icons again

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 23 May 2016 12:30:44 +0100

mintupdate (5.0.6) sarah; urgency=medium

  [ Michael Webster ]
  * Fix tooltip check for security updates

  [ Clement Lefebvre ]
  * Specify gi GTK version in checkAPT.py

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 May 2016 15:36:42 +0100

mintupdate (5.0.5) sarah; urgency=medium

  [ JosephMcc ]
  * Adjust the relative sizes of text on the initial setup page so we can avoid using the tiny text in the descriptions
  * Use larger icons in the initial setup page
  * initial-setup: Use symbolic icons one the buttons

  [ Clement Lefebvre ]
  * Update policy screen: Use a scrolledwindow to show policies

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 13 May 2016 11:06:42 +0100

mintupdate (5.0.4) sarah; urgency=medium

  * Reduce the minimum height of the main window

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 May 2016 12:09:17 +0100

mintupdate (5.0.3) sarah; urgency=medium

  * CheckAPT: Don't consider backport as an opt-in backport source (in Sarah backport is now part of the default repositories and used by the distribution to offer newer stable versions)
  * Fixed logic which determines whether a security/kernel update is safe/visible

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Apr 2016 13:09:06 +0100

mintupdate (5.0.2) sarah; urgency=medium

  [ brennanhm ]
  * Show changelog from PPA packages - issue #56
  * In ChangelogRetriever(), check if package origin contains 'LP-PPA'. If so, download change record from LaunchPad
  * ChangelogRetriever() now extracts PPA owner and name from /etc/apt/sources.list.d/
  * Extract PPA owner and name from Apt sources
  * Download full changelog from Launchpad
  * Improve exception handling
  * Download debian tarball using urllib2
  * Verify format of tarball line
  * Check Apt sources.list file for PPA info
  * Prefer source file in PPA sources directory

  [ JosephMcc ]
  * Complete revamp of the kernel install/remove dialog
  * convert all icons to themed icons. Properly install all unique icons to the hicolor icon theme. This gives proper support for HiDpi and allows third party themes to theme the icons
  * toolbar: Convert the icons to symbolic for better dark theme support
  * Remove the use of some hard-coded text color
  * Fix an error using the value for Gtk.MessageType
  * preferences: Redesign the dialog to use a stack and stack switcher
  * Change the ui to use a Gtk.Stack instead of Gtk.Notebook. Add a dummy page to the stack to allow initial configuration.
  * Add a "wide" style class to the main windows GtkPaned

  [ Clement Lefebvre ]
  * Re-implement dimmed colors but without hardcoding the value
  * Force level icons to 22px (should also work in hidpi, assuming gtk3 translates the size according to the scale)
  * Removed Gtk.Socket in mintupdate.py (previously needed by synaptic but now works without it).
  * Fixed broken notebook borders with Mint-Y theme
  * Implemented the UI and the help for the security policy screen
  * Inhibit refresh when a policy is being chosen
  * Fixed wrong sentence in policy screen, added kernel updates settings
  * Implemented policy selection/detection
  * Implemented kernel updates
  * Simplified kernel warning page, added info on kernel installation/selection/dkms and simplified kernel related info
  * Tuned policies
  * Don't show a status message when choosing the policy
  * Rephrased policies and help
  * Updated generated files
  * Fixed "\n" not split correctly in short descriptions
  * Fixed package description not being parsed correctly when switching notebook page

  [ Ryan Rafe Lee ]
  * Fixed bug caused by using PyGTK style

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Apr 2016 11:45:31 +0100

mintupdate (5.0.1) sarah; urgency=medium

  [ Gwendal Le Bihan ]
  * Migrate to Python3 / Gtk3
  * shebangs

  [ Clement Lefebvre ]
  * Migrate to gsettings
  * Made icons themeable and non-configurable
  * Use a class object in mintupdate.py
  * Improved changelog parsing
  * Parse carriage returns in package descriptions

  [ JosephMcc ]
  * main.ui: Add a primary-toolbar style class to the main toolbar. Gives it a proper toolbar appearance and brings back the toolbar separators
  * preferences.ui: Use what seems to be a standard type of gtk3 layout in the blacklisted packages tab


=== debian/control ===
Source: mintupdate
Section: admin
Priority: optional
Maintainer: Clement Lefebvre <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               python3,
               dh-python
Standards-Version: 3.9.5

Package: mintupdate
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends},
 lsb-release,
 linux-base (>= 4.1),
 inxi,
 python3-apt,
 python3-pycurl,
 synaptic,
 mint-mirrors,
 mint-upgrade-info,
 gir1.2-appindicator3-0.1
Conflicts: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
Breaks: virtualbox-guest-utils, virtualbox-guest-x11, vitualbox-guest-dkms
Replaces: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
Description: The Linux Mint Update Manager
 Helps installing security updates and new versions of packages.

## mintupdate 5.2.1.3

=== debian/changelog ===
mintupdate (5.2.1.3) serena; urgency=medium

  * Depend on linux-base (>= 4.1)
  * Fix kernel updates for 4.15+ series

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 09 May 2018 11:04:55 +0100

mintupdate (5.2.1.2) serena; urgency=medium

  * Packaging: Break virtualbox-guest pkgs

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 26 Mar 2018 23:52:30 +0200

mintupdate (5.2.1.1) serena; urgency=medium

  * Kernel updates: Don't recommend newer series

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Mar 2017 15:36:54 +0000

mintupdate (5.2.1) serena; urgency=medium

  [ NikoKrause ]
  * add missing l10n in kernelwindow

  [ fsbs ]
  * Finer mirror up-to-date checks and warnings
  * Fixed label padding in "additional changes" dialog

  [ Clement Lefebvre ]
  * Kernel window: Fix changelog link for kernel 4.8 series

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 22 Feb 2017 10:48:23 +0000

mintupdate (5.2.0) serena; urgency=medium

  * rel_upgrade: Fix typo
  * rel_upgrade: Update grub
  * Fix import errors

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Jan 2017 15:46:28 +0000

mintupdate (5.1.9) serena; urgency=medium

  * rel_upgrade: Switch from dict() to configparser
  * rel_upgrade: Fix regressions caused by GTK3 migration
  * rel_upgrade: Enable backport component

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 18 Dec 2016 11:37:58 +0000

mintupdate (5.1.8) serena; urgency=medium

  [ salphaon ]
  * Fixed checking dialog response when add blacklist.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 10 Dec 2016 12:47:20 +0000

mintupdate (5.1.7) serena; urgency=medium

  * Kernel window: rephrase text for recommended kernels
  * Kernel updates: Don't always recommend the "recommended" kernel.
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 07 Dec 2016 12:42:00 +0000

mintupdate (5.1.6) serena; urgency=medium

  * l10n: Add missing msgid

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Nov 2016 08:39:34 +0000

mintupdate (5.1.5) serena; urgency=medium

  * Fix and improve kernel updates
  * kernel window: Sort kernels by version
  * kernel window: Show active kernel in listbox, and linux-image-generic recommended kernel
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 Nov 2016 15:28:28 +0000

mintupdate (5.1.4) serena; urgency=medium

  * l10n: Unescape pkg descriptions

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 17 Nov 2016 18:33:13 +0000

mintupdate (5.1.3) serena; urgency=medium

  * Elevate ubuntu-drivers-common and nvidia drivers to level 4

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Nov 2016 10:23:02 +0000

mintupdate (5.1.2) serena; urgency=medium

  [ rogue-spectre ]
  * set_label for OK and Help for preference menu
  * translatable="yes" for ok and help

  [ Clement Lefebvre ]
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 10:17:13 +0000

mintupdate (5.1.1) serena; urgency=medium

  [ xenopeek ]
  * mintUpdate.py: don't download changelog each time on tab switch
  * mintUpdate.py: show version number to About Dialog

  [ brennanhm ]
  * Improve visibility of buttons in update policy window - issue #170

  [ Clement Lefebvre ]
  * Fixed typos and logic errors in name resolution

  [ brennanhm ]
  * Prevent reset of package selection if update fails - issue #120
  * Add optional 'source' column to the main overview - Issue #77

  [ Clement Lefebvre ]
  * Rename Source -> Origin in previously merged PR.
  * Don't hide window when update fails

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 05 Nov 2016 13:28:52 +0000

## mintupdate 5.2.9.2

=== debian/changelog ===
mintupdate (5.2.9.2) sonya; urgency=medium

  * Depend on linux-base (>= 4.1)
  * Fix kernel updates for 4.15+ series
  * Kernel updates: Group meta/kernels together

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 09 May 2018 10:46:18 +0100

mintupdate (5.2.9.1) sonya; urgency=medium

  * Packaging: Break virtualbox-guest pkgs

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Mar 2018 00:23:51 +0200

mintupdate (5.2.9) sonya; urgency=medium

  * Lower Firefox to a level 1 update

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Jun 2017 12:45:26 +0200

mintupdate (5.2.8) sonya; urgency=medium

  * Always mark Firefox and Thunderbird updates as security updates
  * Change "Clear" keybinding to CTRL+SHIFT+A
  * Fix policy page to fit within 800x600px
  * Fine-tune default window-paned-position
  * Fix default settings to match policy #2

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 26 Jun 2017 10:28:05 +0200

mintupdate (5.2.7) sonya; urgency=medium

  * Don't launch mintupdate in guest session
  * Fix policy detection
  * Fix blacklisting of linux* source names

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Jun 2017 15:07:25 +0100

mintupdate (5.2.6) sonya; urgency=medium

  * l10n: Properly translate help title

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 May 2017 15:59:32 +0100

mintupdate (5.2.5) sonya; urgency=medium

  * Don't label linux-kernel-generic as a normal kernel update
  * CheckAPT: Fix self.priority_updates_available flag not set correctly

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 May 2017 12:00:34 +0100

mintupdate (5.2.4) sonya; urgency=medium

  * Kernel window: Don't show labels for meta kernel versions
  * Kernel updates: Add support for HWE meta
  * Fix escaping of special characters in the UI
  * Don't group all kernel updates together.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 29 May 2017 16:54:58 +0100

mintupdate (5.2.3) sonya; urgency=medium

  [ Clement Lefebvre ]
  * Add menu items and keyboard shortcuts
  * Rules: Add cjs and slick-greeter

  [ monsta ]
  * kernel window: purge kernel packages (#236)

  [ Clement Lefebvre ]
  * l10n: Generate additional files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 07 May 2017 13:40:05 +0100

mintupdate (5.2.2) sonya; urgency=medium

  * Add CLI support
  * Remove unused function
  * Kernel updates: Don't recommend newer series
  * Fix origin info for 3rd party repositories
  * Initialize origin variable
  * Kernel window: Sort kernels in reverse order
  * Main window: Rename Package column to Name
  * Small fixes
  * Improved help, level definitions and policies
  * l10n: Update POT and generated files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 26 Apr 2017 13:22:28 +0100

## mintupdate 5.2.9.3

=== debian/changelog ===
mintupdate (5.2.9.3) betsy; urgency=medium

  [ monsta ]
  * rules: don't check engrampa and mintmenu versions in Betsy (#286)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 Nov 2017 15:19:28 +0000

mintupdate (5.2.9.2) betsy; urgency=medium

  [ Clement Lefebvre ]
  * Flag specific mintmenu/engrampa updates as level 3 for the move to GTK3

  [ monsta ]
  * rules: update engrampa version for Betsy (#285)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Nov 2017 15:14:17 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --with python2

override_dh_python2:
	dh_python2 /usr/lib/linuxmint/mintUpdate

## mintupdate 5.3.2.5

=== debian/changelog ===
mintupdate (5.3.2.5) sylvia; urgency=medium

  * Allow MESA update again.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 09 Jul 2018 12:34:11 +0200

mintupdate (5.3.2.4) sylvia; urgency=medium

  * Temporarily place MESA on level 5

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jul 2018 04:00:03 +0200

mintupdate (5.3.2.3) sylvia; urgency=medium

  * Kernel updates: Group meta/kernels together

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 09 May 2018 10:33:25 +0100

mintupdate (5.3.2.2) sylvia; urgency=medium

  * Depend on linux-base (>= 4.1)
  * Fix kernel updates for 4.15+ series

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 May 2018 19:40:20 +0100

mintupdate (5.3.2.1) sylvia; urgency=medium

  * Packaging: Break virtualbox-guest pkgs

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Mar 2018 00:25:06 +0200

mintupdate (5.3.2) sylvia; urgency=medium

  [ monsta ]
  * rules: update engrampa version for Betsy (#285)

  [ Clement Lefebvre ]
  * Kernels: Remove msgids in synaptic call and support window-progress

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 22 Nov 2017 12:10:31 +0000

mintupdate (5.3.1) sylvia; urgency=medium

  * Rephrase kernel warning

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Nov 2017 13:43:55 +0000

mintupdate (5.3.0) sylvia; urgency=medium

  [ Clement Lefebvre ]
  * Count all available updates in systray status
  * l10n: Update POT file
  * Adapt help to Firefox level change
  * rel_upgrade_root: Don't adjust grub's 10_linux

  [ xenopeek ]
  * mintupdate-tool: include possible commands in help (#265)

  [ Clement Lefebvre ]
  * Synaptic: Don't specify progress/finish strings
  * Synaptic: Don't specify progress strings
  * Flag specific mintmenu/engrampa updates as level 3 for the move to GTK3
  * Simplify some msgids and dimmed descriptions

  [ NikoKrause ]
  * Fetch strings with ngettext (#266)

  [ Clement Lefebvre ]
  * l10n: Update POT file and additional files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Oct 2017 16:38:54 +0100

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,11 @@
  inxi,
  python3-apt,
  python3-pycurl,
+ python3-setproctitle,
  synaptic,
  mint-mirrors,
  mint-upgrade-info,
+ python3-xapp (>= 1.0.1),
  gir1.2-appindicator3-0.1
 Conflicts: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
 Breaks: virtualbox-guest-utils, virtualbox-guest-x11, vitualbox-guest-dkms

## mintupdate 5.4.7

=== debian/changelog ===
mintupdate (5.4.7) tessa; urgency=medium

  * Release upgrade: Switch to pkexec

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 19 Dec 2018 15:52:17 +0000

mintupdate (5.4.6) tessa; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Jason Hicks ]
  * checkKernels: Check if pkg.candidate is None (#442)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 15 Dec 2018 12:19:19 +0000

mintupdate (5.4.5) tessa; urgency=medium

  [ NikoKrause ]
  * use icons in the select menu (#429)

  [ Clement Lefebvre ]
  * l10n: Update translations

  [ gm10 ]
  * Remove Select menu and implement on_key_press_event() to handle keybinds that were exclusively added to that menu. (#439)
  * Fix "Visible Columns" menu order to match column order (#433)
  * Kernelwindow: Fix "Remove old kernels" related issues (#426)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Dec 2018 15:36:18 +0000

mintupdate (5.4.4) tessa; urgency=medium

  [ Yvan-Masson ]
  * Run automatic updates in non-interactive mode (#410)

  [ Clement Lefebvre ]
  * Kernel window: Fix installing/removing kernels
  * Kernel Window: Add missing shadow and scrolledview to kernel series

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 03 Dec 2018 15:09:42 +0000

mintupdate (5.4.3) tessa; urgency=medium

  [ gm10 ]
  * fix a mistake made in a previous rebase (#422)
  * Kernelwindow: Fix checkKernels.py error handling (#424)
  * Only show "Supported until" for latest supported kernel in a series, … (#425)

  [ Clement Lefebvre ]
  * Remove trailing spaces
  * Fix missing i18n in select menu
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 03 Dec 2018 14:14:26 +0000

mintupdate (5.4.2) tessa; urgency=medium

  [ Michael Webster ]
  * preferences.ui: Allow a vertical scrollbar in the first preferences page, and make its window slightly larger to start with.

  [ JosephMcc ]
  * kernel-window: Clean up for Gtk3.22 (#377)

  [ gm10 ]
  * Origin column: replace url with release pocket (#392)
  * Kernel window: Show installed mainline kernels (#391)

  [ chingyinwan123 ]
  * Rephrased msgid (#396)

  [ gm10 ]
  * Sort kernel series descending (#397)

  [ Clement Lefebvre ]
  * Rephrase text in kernel warning dialog
  * l10n: Update POT

  [ chingyinwan123 ]
  * Use monospace font for the changelog (#398)
  * Linked keyboard shortcuts to mintUpdate (#393)

  [ gm10 ]
  * fix autostart name (#399)
  * fix kernel window icon
  * fix kernel update type detection (#407)
  * Lock main window while kernel window or kernel install thread are active (#409)
  * Only use Ubuntu kernel meta packages for kernel updates (#405)
  * Fix kernel update type detection v2 (#412)

  [ Clement Lefebvre ]
  * Fix typo

  [ gm10 ]
  * kernelwindow: show support status (#413)

  [ Clement Lefebvre ]
  * Kernel window: Fix kernel status alignment.
  * CLI: add support for --version

  [ gm10 ]
  * dynamically detect kernel meta packages (#415)
  * kernelwindow: Add Remove Old Kernels button and dialog for multi-removal (#414)

  [ Clement Lefebvre ]
  * Kernel removal dialog: Fix spacing/layout
  * Fix main window staying insensitive after closing the kernel window
  * l10n: Update POT
  * l10n: Update translations
  * l10n: Update files

  [ gm10 ]
  * kernelwindow: fix to handling of missing release info (#420)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Nov 2018 12:45:29 +0000

mintupdate (5.4.1) tara; urgency=medium

  [ Vincent Vermeulen ]
  * Fix typo in --ignore argument help

  [ Michael Webster ]
  * main.ui: Fix some widget expand/fill properties to allow the window to be more flexible when resizing.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Sep 2018 15:09:07 +0100

mintupdate (5.4.0) tara; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Jun 2018 13:35:37 +0200

mintupdate (5.3.9) tara; urgency=medium

  * CLI: Always list priority packages

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 Jun 2018 09:26:48 +0200

mintupdate (5.3.8) tara; urgency=medium

  * CheckAPT: Spawn mintinstall-update-pkgcache asynchronously
  * Packaging: Don't break virtualbox guest packages
  * Fix wrong callback method

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 20 Jun 2018 09:34:36 +0200

mintupdate (5.3.7) tara; urgency=medium

  * Preferences window: Fix gravity
  * Auto-updates: Fix default cron job permissions
  * Don't report mintinstall cache errors

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 16 Jun 2018 10:45:43 +0200

mintupdate (5.3.6) tara; urgency=medium

  [ monsta ]
  * fix launching mintsources from infobar (#358)

  [ Clement Lefebvre ]
  * Add messages in polkit policy

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 30 May 2018 18:14:09 +0100

mintupdate (5.3.5) tara; urgency=medium

  * Fix retro-compatibility with Gtk 3.18
  * Kernel updates: Group meta/kernels together
  * Packaging: Break virtualbox-guest pkgs
  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 May 2018 11:16:25 +0100

mintupdate (5.3.4) tara; urgency=medium

  [ Clement Lefebvre ]
  * Fix typo
  * Fix not showing the right update name when the short description contains '&'

  [ monsta ]
  * kernel window: support new linux-modules-* packages (#352)

  [ Michael Webster ]
  * checkAPT: generate a new mintinstall cache after updating our apt (#350)

  [ Clement Lefebvre ]
  * Kernel window: Fix installing/removing kernels for new/old naming conventions
  * Kernel window: Remove obsolete code
  * CheckAPT: Improve/Fix kernel updates
  * Add support for lowlatency kernels

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 May 2018 18:22:46 +0100

mintupdate (5.3.3) tara; urgency=medium

  [ Stephen Collins ]
  * Use the correct icon in the autostart desktop file (#295)

  [ Mikhail Bodrov ]
  * Optimize size_to_string (#291)

  [ Periklis ]
  * Updating update managers error message to be more clear (#289)



=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  ${python:Depends},
  ${misc:Depends},
  lsb-release,
- linux-base (>= 4.1),
  inxi,
  python3-apt,
  python3-pycurl,
@@ -24,7 +23,6 @@
  python3-xapp (>= 1.0.1),
  gir1.2-appindicator3-0.1
 Conflicts: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
-Breaks: virtualbox-guest-utils, virtualbox-guest-x11, vitualbox-guest-dkms
 Replaces: mintupdate-gnome, mintupdate-kde, mintupdate-xfce
 Description: The Linux Mint Update Manager
  Helps installing security updates and new versions of packages.
